-- Section for example.com

VirtualHost "jabber.n39.eu"

	-- Assign this host a certificate for TLS, otherwise it would use the one
	-- set in the global section (if any).
	-- Note that old-style SSL on port 5223 only supports one certificate, and will always
	-- use the global one.
	ssl = {
		key = "/etc/prosody/certs/jabber.n39.eu.key";
		certificate = "/etc/prosody/certs/jabber.n39.eu.pem";
		dhparam = "/etc/prosody/certs/dh-2048.pem";
		-- TODO	for post 0.10 see http://prosody.im/doc/advanced_ssl_config again
		options = { "no_sslv2", "no_sslv3", "no_ticket", "no_compression", "cipher_server_preference", "single_dh_use", "single_ecdh_use" };
	}

------ Components ------
-- You can specify components to add hosts that provide special services,
-- like multi-user conferences, and transports.
-- For more information on components, see http://prosody.im/doc/components

-- Set up a MUC (multi-user chat) room server on conference.example.com:
--Component "conference.example.com" "muc"
Component "conference.jabber.n39.eu" "muc"

-- Set up a SOCKS5 bytestream proxy for server-proxied file transfers:
--Component "proxy.example.com" "proxy65"

---Set up an external component (default component port is 5347)
--Component "gateway.example.com"
--	component_secret = "password"

-- alex: service discovery
disco_items = {
	{ "conference.jabber.n39.eu", "The Netz39 Multi-User-Chat" };
}
